Koozali.org formerly Contribs.org

Upgrading PHP on e-smith 60b3

Offline zoran

Upgrading PHP on e-smith 60b3
« on: January 10, 2005, 04:25:47 PM »
I'm currently running e-smith 60b3 with the PHP version it came with of 4.1.2.

I'd like to install some blogging software, but it requires a newer version of PHP.

This brings me to my next question:  Has anyone been successful at upgrading PHP on e-smith 60b3 and have all their old stuff like ClamAV, spamassasin and especially /webmail still work?

Is there a documented process or HOWTO that I can use to get PHP upgraded without having adverse affects on my system?  Is there a backout plan included?

If you can help, please let me know, as any help would be greatly appreciated.

Zoran

Offline psoren

  • *
  • 369
Re: Upgrading PHP on e-smith 60b3
« Reply #1 on: January 10, 2005, 04:43:24 PM »
Quote from: "zoran"
I'm currently running e-smith 60b3 with the PHP version it came with of 4.1.2.

I'd like to install some blogging software, but it requires a newer version of PHP.

This brings me to my next question:  Has anyone been successful at upgrading PHP on e-smith 60b3 and have all their old stuff like ClamAV, spamassasin and especially /webmail still work?

Is there a documented process or HOWTO that I can use to get PHP upgraded without having adverse affects on my system?  Is there a backout plan included?

If you can help, please let me know, as any help would be greatly appreciated.

Zoran


Your still running a beta!! Help yourself by upgrading to the latest release and upgrades. Then you can look at what else you need.

Per

guest22

Upgrading PHP on e-smith 60b3
« Reply #2 on: January 10, 2005, 06:02:57 PM »
Zoran, psoran is right here,

please update to the latest stable release before considering updating individual packages.

If you wait a bit more, you maybe even can upgrade to the next 6.x release ;-)

RequestedDeletion

Offline zoran

No other option?
« Reply #3 on: January 10, 2005, 06:23:14 PM »
Is there no other option then to upgrade the entire platform?

And if upgrading SME is my only option, what about all the extra packages I installed on B3?  They will ned to be re-installed again?

See, the problem is that I have installed a number of additional add-ons and web applications that would take me weeks if not months to replace.  

All I need is to upgrade PHP, surel there is a solution out there, isn't there?

guest22

Upgrading PHP on e-smith 60b3
« Reply #4 on: January 10, 2005, 09:47:41 PM »
Well, it's never a good idea to run a production server based upon beta code. Next to that it was clearly an unsupported version from a company that abandonned the product.

My advice is to upgrade to the latest available sable release (6.0.1.-01) and go from there. Almost every developer based it's contrib on this release, thus most chance of succes and compatibility.

guest

Offline raem

  • *
  • 3,972
Upgrading PHP on e-smith 60b3
« Reply #5 on: January 11, 2005, 04:35:56 AM »
Didn't you bother to do a search

http://forums.contribs.org/index.php?topic=25275.0

I would also strongly suggest you update, the versions are very similar to each other and there should not be any significant problems, or even none at all !
The upgrade/install process should migrate all the applications & settings you have installed/configured.
Read the release notes to see what things changed if you are unsure.
...

Offline zoran

Well what do you know?
« Reply #6 on: January 14, 2005, 10:22:51 PM »
As it turns out, my install isn't really Beta 3 since I've kept it up to date with the release patches.  In the /server-manager, it shows itself as "Mitel Networks SME Server 6.0"  and not 6.0 Beta 3.

Anyway, I used the Dan Brown RPMs and everything worked fine after the pear updates for Log and Date.  Now when I access any of my old PHP apps like webmail, phpwcms, boastmachine, etc, they 'seem' to run faster.  But then again, maybe I just 'want' them to.  :-)